#!/bin/bash
#SBATCH -J SIMPLE_8
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=1
#SBATCH --threads-per-core=1
#SBATCH --cpus-per-task=6
#SBATCH -t 00:30:00            # execute time (hh:mm:ss - max 08:00:00)
#SBATCH -o SIMPLE8%j.out      # strout filename (%j is jobid)
#SBATCH -e SIMPLE8%j.out      # stderr filename (%j is jobid)

export KMP_AFFINITY="verbose" 

module load intel/15.0.0.090
module load bullxmpi/1.2.8.3
module load hdf5/1.8.14

TRUNKDIR=/home/jorekgl/gyselabench
cd $TRUNKDIR/bench/SIMPLE_8
#Launching 8 threads on 6 cores (Using Hyper-threading scheduling)
srun --mpi=pmi2 -K1 -m block:block  --resv-ports ${TRUNKDIR}/src/gysela_ti.exe 1>> gysela_log.out 2>> gysela_res.err

